## ros-kinetic-dataspeed-can-tools 1.0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dataspeed_can_tools)

find_package(catkin REQUIRED COMPONENTS
  rosbag
  roscpp
  roslib
  std_msgs
  can_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

add_compile_options(${TARGET_NAME} -Wall -Wextra -Werror) #-pedantic fails in rosconsole https://github.com/ros/rosconsole/issues/9

catkin_package(
  LIBRARIES ${PROJECT_NAME}
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/DbcIterator.cpp src/DbcMessage.cpp src/DbcSignal.cpp
  src/CanExtractor.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(dbc_node src/dbc_node.cpp)
target_link_libraries(dbc_node
  ${PROJECT_NAME}
)

add_executable(dbc_bag src/dbc_bag.cpp)
target_link_libraries(dbc_bag
  ${PROJECT_NAME}
)

install(TARGETS ${PROJECT_NAME} dbc_node dbc_bag
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-kinetic-dataspeed-can-tools (1.0.16-1xenial) xenial; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Fix processing bags with DBC files for extended CAN IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 07 Jul 2020 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.15-1xenial) xenial; urgency=high

  * Use %zu for portable printf() size type
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.14-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 16 Jan 2020 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.13-1xenial) xenial; urgency=high

  * Added advance compiler error checking and fixed newly exposed errors
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 08 Jan 2019 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.12-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 19 Dec 2018 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.11-1xenial) xenial; urgency=high

  * Added support for multiple DBC files
  * Added support for multiplexed signals
  * Many changes to the command line arguments
  * Fixed bug with signals greater than 31 bits
  * Set CXX_STANDARD to C++11 when necessary
  * Contributors: Kevin Hallenbeck, Eric Myllyoja

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 06 Sep 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.10-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 13 Jun 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.9-1xenial) xenial; urgency=high

  * Preliminary support for extended IDs
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 12 Jun 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.8-1xenial) xenial; urgency=high

  * Added timestamp
  * Added option to expand dbc signals or not
  * Handle messages not defined in the dbc file
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 09 Apr 2018 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.7-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 19 Oct 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.6-1xenial) xenial; urgency=high

  * Migrated from dataspeed_can_msgs to can_msgs (this will break dependent packages)
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.5-1xenial) xenial; urgency=high

  * Updated nodelets to the PLUGINLIB_EXPORT_CLASS macro
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 21 Aug 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.4-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 08 May 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.3-1xenial) xenial; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 25 Apr 2017 04:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.2-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 24 Jan 2017 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.1-1xenial) xenial; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 17 Nov 2016 05:00:00 -0000

ros-kinetic-dataspeed-can-tools (1.0.0-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 28 Sep 2016 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dataspeed-can-tools
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-can-msgs, ros-kinetic-catkin, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-kinetic-dataspeed-can-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-can-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs
Description: CAN bus introspection

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dataspeed-can-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
